osgViewer::GraphicsHandleX11 Class Reference

`#include <GraphicsHandleX11>`

Inheritance diagram for osgViewer::GraphicsHandleX11:

## Public Types

typedef GLXContext | Context
typedef GLXPbuffer | Pbuffer

## Public Member Functions

| GraphicsHandleX11 ()
void | setDisplay (Display *display)
Display * | getDisplay () const
void | setContext (Context context)
Context | getContext () const

## Protected Attributes

Display * | _display
Context | _context

## Detailed Description

Class to encapsulate platform-specific OpenGL context handle variables. Derived osg::GraphicsContext classes can inherit from this class to share OpenGL resources.

## Member Typedef Documentation

## Context

typedef GLXContext osgViewer::GraphicsHandleX11::Context

## Pbuffer

typedef GLXPbuffer osgViewer::GraphicsHandleX11::Pbuffer

## Constructor & Destructor Documentation

## GraphicsHandleX11()

osgViewer::GraphicsHandleX11::GraphicsHandleX11 | ( |  | ) |

inline

References _context, and _display.

## Member Function Documentation

## getContext()

Context osgViewer::GraphicsHandleX11::getContext | ( |  | ) | const

inline

Get native OpenGL graphics context.

References _context.

## getDisplay()

Display * osgViewer::GraphicsHandleX11::getDisplay | ( |  | ) | const

inline

Get X11 display.

References _display.

## setContext()

void osgViewer::GraphicsHandleX11::setContext | ( | Context | context | ) |

inline

Set native OpenGL graphics context.

References _context.

## setDisplay()

void osgViewer::GraphicsHandleX11::setDisplay | ( | Display * | display | ) |

inline

Set X11 display.

References _display.

## Member Data Documentation

## _context

Context osgViewer::GraphicsHandleX11::_context

protected

Referenced by getContext(), GraphicsHandleX11(), and setContext().

## _display

Display* osgViewer::GraphicsHandleX11::_display

protected

Referenced by getDisplay(), GraphicsHandleX11(), and setDisplay().

The documentation for this class was generated from the following file:

- GraphicsHandleX11